<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<application xmlns="http://wadl.dev.java.net/2009/02">
    <doc xmlns:jersey="http://jersey.java.net/" jersey:generatedBy="Jersey: 2.41 2023-10-20 08:17:02"/>
    <doc xmlns:jersey="http://jersey.java.net/" jersey:hint="This is simplified WADL with user and core resources only. To get full WADL with extended resources use the query parameter detail. Link: http://api.flightstats.com/flex/connections/rest/v3/schema/wadl?detail=true"/>
    <grammars/>
    <resources base="http://api.flightstats.com/">
        <resource path="/flex/connections/rest/v3/schema">
            <resource path="/wadl">
                <method id="wadl" name="GET">
                    <response>
                        <representation mediaType="application/vnd.sun.wadl+xml"/>
                        <representation mediaType="application/xml"/>
                    </response>
                </method>
            </resource>
            <resource path="/xsd">
                <method id="xsd" name="GET">
                    <response>
                        <representation mediaType="application/xml"/>
                    </response>
                </method>
            </resource>
            <resource path="/json">
                <method id="json" name="GET">
                    <response>
                        <representation mediaType="application/json"/>
                    </response>
                </method>
            </resource>
        </resource>
        <resource path="/flex/connections/rest/v3/{format}">
            <resource path="lastflightout/{departureAirport}/to/{arrivalAirport}/leaving_after/{year}/{month}/{day}/{hour}/{minute}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="departureAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="month" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="hour" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="year" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="arrivalAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="day" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="minute" style="template" type="xs:string"/>
                <method id="lastFlightOut" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="allowNearbyDepartures" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="allowNearbyArrivals" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeAirports" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="excludeAirports" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeAirlines" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="excludeAirlines" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="numHours" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxConnections" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeSurface" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="payloadType" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeCodeshares" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeMultipleCarriers" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxResults" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="minimumConnectTime" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="codeType" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="customer-agreement-code" style="header" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/json"/>
                        <representation mediaType="application/javascript;charset=UTF-8"/>
                        <representation mediaType="text/plain"/>
                    </response>
                </method>
            </resource>
            <resource path="firstflightin/{departureAirport}/to/{arrivalAirport}/arriving_before/{year}/{month}/{day}/{hour}/{minute}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="departureAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="month" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="hour" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="year" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="arrivalAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="day" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="minute" style="template" type="xs:string"/>
                <method id="firstFlightIn" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="allowNearbyDepartures" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="allowNearbyArrivals" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeAirports" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="excludeAirports" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeAirlines" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="excludeAirlines" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="numHours" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxConnections" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeSurface" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="payloadType" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeCodeshares" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeMultipleCarriers" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxResults" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="minimumConnectTime" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="codeType" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="customer-agreement-code" style="header" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/json"/>
                        <representation mediaType="application/javascript;charset=UTF-8"/>
                        <representation mediaType="text/plain"/>
                    </response>
                </method>
            </resource>
            <resource path="lastflightin/{departureAirport}/to/{arrivalAirport}/arriving_before/{year}/{month}/{day}/{hour}/{minute}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="departureAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="month" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="hour" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="year" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="arrivalAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="day" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="minute" style="template" type="xs:string"/>
                <method id="lastFlightIn" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="allowNearbyDepartures" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="allowNearbyArrivals" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeAirports" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="excludeAirports" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeAirlines" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="excludeAirlines" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="numHours" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxConnections" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeSurface" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="payloadType" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeCodeshares" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeMultipleCarriers" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxResults" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="minimumConnectTime" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="codeType" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="customer-agreement-code" style="header" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/json"/>
                        <representation mediaType="application/javascript;charset=UTF-8"/>
                        <representation mediaType="text/plain"/>
                    </response>
                </method>
            </resource>
            <resource path="firstflightout/{departureAirport}/to/{arrivalAirport}/leaving_after/{year}/{month}/{day}/{hour}/{minute}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="departureAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="month" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="hour" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="year" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="arrivalAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="day" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="minute" style="template" type="xs:string"/>
                <method id="firstFlightOut" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="allowNearbyDepartures" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="allowNearbyArrivals" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeAirports" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="excludeAirports" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeAirlines" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="excludeAirlines" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="numHours" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxConnections" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeSurface" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="payloadType" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeCodeshares" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeMultipleCarriers" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxResults" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="minimumConnectTime" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="codeType" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="customer-agreement-code" style="header" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/json"/>
                        <representation mediaType="application/javascript;charset=UTF-8"/>
                        <representation mediaType="text/plain"/>
                    </response>
                </method>
            </resource>
        </resource>
        <resource path="/flex/connections/rest/v2/{format}">
            <resource path="lastflightout/{departureAirport}/to/{arrivalAirport}/leaving_after/{year}/{month}/{day}/{hour}/{minute}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="departureAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="month" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="hour" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="year" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="arrivalAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="day" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="minute" style="template" type="xs:string"/>
                <method id="lastFlightOut" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="allowNearbyDepartures" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="allowNearbyArrivals" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeAirports" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="excludeAirports" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeAirlines" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="excludeAirlines" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="numHours" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxConnections" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeSurface" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="payloadType" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeCodeshares" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeMultipleCarriers" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxResults" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="minimumConnectTime" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="codeType" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/json"/>
                    </response>
                </method>
            </resource>
            <resource path="firstflightin/{departureAirport}/to/{arrivalAirport}/arriving_before/{year}/{month}/{day}/{hour}/{minute}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="departureAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="month" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="hour" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="year" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="arrivalAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="day" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="minute" style="template" type="xs:string"/>
                <method id="firstFlightIn" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="allowNearbyDepartures" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="allowNearbyArrivals" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeAirports" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="excludeAirports" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeAirlines" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="excludeAirlines" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="numHours" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxConnections" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeSurface" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="payloadType" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeCodeshares" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeMultipleCarriers" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxResults" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="minimumConnectTime" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="codeType" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/json"/>
                    </response>
                </method>
            </resource>
            <resource path="lastflightin/{departureAirport}/to/{arrivalAirport}/arriving_before/{year}/{month}/{day}/{hour}/{minute}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="departureAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="month" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="hour" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="year" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="arrivalAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="day" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="minute" style="template" type="xs:string"/>
                <method id="lastFlightIn" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="allowNearbyDepartures" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="allowNearbyArrivals" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeAirports" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="excludeAirports" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeAirlines" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="excludeAirlines" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="numHours" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxConnections" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeSurface" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="payloadType" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeCodeshares" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeMultipleCarriers" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxResults" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="minimumConnectTime" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="codeType" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/json"/>
                    </response>
                </method>
            </resource>
            <resource path="firstflightout/{departureAirport}/to/{arrivalAirport}/leaving_after/{year}/{month}/{day}/{hour}/{minute}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="departureAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="month" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="hour" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="year" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="arrivalAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="day" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="minute" style="template" type="xs:string"/>
                <method id="firstFlightOut" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="allowNearbyDepartures" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="allowNearbyArrivals" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeAirports" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="excludeAirports" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeAirlines" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="excludeAirlines" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="numHours" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxConnections" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeSurface" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="payloadType" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeCodeshares" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeMultipleCarriers" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxResults" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="minimumConnectTime" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="codeType" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/json"/>
                    </response>
                </method>
            </resource>
        </resource>
        <resource path="/flex/connections/rest/v3/schema/openapi.{type:json|yaml}">
            <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="type" style="template" type="xs:string"/>
            <method id="getOpenApi" name="GET">
                <response>
                    <representation mediaType="application/json"/>
                    <representation mediaType="application/yaml"/>
                </response>
            </method>
        </resource>
        <resource path="/flex/connections/rest/v1/{format}">
            <resource path="lastflightout/{departureAirport}/to/{arrivalAirport}/leaving_after/{year}/{month}/{day}/{hour}/{minute}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="departureAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="month" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="hour" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="year" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="arrivalAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="day" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="minute" style="template" type="xs:string"/>
                <method id="lastFlightOut" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeAirports" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="excludeAirports" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeAirlines" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="excludeAirlines" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="numHours" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxConnections" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeSurface" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="payloadType" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeCodeshares" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeMultipleCarriers" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxResults" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="minimumConnectTime" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/json"/>
                    </response>
                </method>
            </resource>
            <resource path="firstflightin/{departureAirport}/to/{arrivalAirport}/arriving_before/{year}/{month}/{day}/{hour}/{minute}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="departureAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="month" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="hour" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="year" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="arrivalAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="day" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="minute" style="template" type="xs:string"/>
                <method id="firstFlightIn" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeAirports" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="excludeAirports" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeAirlines" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="excludeAirlines" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="numHours" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxConnections" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeSurface" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="payloadType" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeCodeshares" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeMultipleCarriers" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxResults" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="minimumConnectTime" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/json"/>
                    </response>
                </method>
            </resource>
            <resource path="lastflightin/{departureAirport}/to/{arrivalAirport}/arriving_before/{year}/{month}/{day}/{hour}/{minute}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="departureAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="month" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="hour" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="year" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="arrivalAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="day" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="minute" style="template" type="xs:string"/>
                <method id="lastFlightIn" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeAirports" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="excludeAirports" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeAirlines" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="excludeAirlines" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="numHours" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxConnections" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeSurface" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="payloadType" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeCodeshares" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeMultipleCarriers" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxResults" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="minimumConnectTime" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/json"/>
                    </response>
                </method>
            </resource>
            <resource path="firstflightout/{departureAirport}/to/{arrivalAirport}/leaving_after/{year}/{month}/{day}/{hour}/{minute}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="departureAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="month" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="hour" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="year" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="format" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="arrivalAirport" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="day" style="template" type="xs:string"/>
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="minute" style="template" type="xs:string"/>
                <method id="firstFlightOut" name="GET">
                    <request>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeAirports" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="excludeAirports" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeAirlines" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="excludeAirlines" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="numHours" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxConnections" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeSurface" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="payloadType" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeCodeshares" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="includeMultipleCarriers" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="maxResults" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="minimumConnectTime" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="extendedOptions" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="query" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appId" style="header" type="xs:string"/>
                        <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="appKey" style="header" type="xs:string"/>
                    </request>
                    <response>
                        <representation mediaType="application/xml"/>
                        <representation mediaType="application/json"/>
                    </response>
                </method>
            </resource>
        </resource>
        <resource path="/flex/support/mct">
            <resource path="/evaluate">
                <method id="evaluateMctView" name="GET">
                    <response>
                        <representation mediaType="text/html"/>
                    </response>
                </method>
                <method id="evaluateMctViewPost" name="POST">
                    <request>
                        <representation mediaType="application/x-www-form-urlencoded">
                            <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="leg1.carrierFsCode" style="query" type="xs:string"/>
                            <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="leg1.flightNumber" style="query" type="xs:string"/>
                            <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="leg1.primaryMarketerFsCode" style="query" type="xs:string"/>
                            <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="leg1.primaryMarketerFlightNumber" style="query" type="xs:string"/>
                            <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="leg1.departureTerminal" style="query" type="xs:string"/>
                            <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="leg1.arrivalTerminal" style="query" type="xs:string"/>
                            <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="leg1.equipmentSubtypeIataCode" style="query" type="xs:string"/>
                            <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="leg1.departureAirportFsCode" style="query" type="xs:string"/>
                            <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="leg1.arrivalAirportFsCode" style="query" type="xs:string"/>
                            <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="leg1.scheduledDeparture" style="query" type="xs:string"/>
                            <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="leg1.scheduledArrival" style="query" type="xs:string"/>
                            <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="leg2.carrierFsCode" style="query" type="xs:string"/>
                            <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="leg2.flightNumber" style="query" type="xs:string"/>
                            <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="leg2.primaryMarketerFsCode" style="query" type="xs:string"/>
                            <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="leg2.primaryMarketerFlightNumber" style="query" type="xs:string"/>
                            <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="leg2.departureTerminal" style="query" type="xs:string"/>
                            <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="leg2.arrivalTerminal" style="query" type="xs:string"/>
                            <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="leg2.equipmentSubtypeIataCode" style="query" type="xs:string"/>
                            <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="leg2.departureAirportFsCode" style="query" type="xs:string"/>
                            <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="leg2.arrivalAirportFsCode" style="query" type="xs:string"/>
                            <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="leg2.scheduledDeparture" style="query" type="xs:string"/>
                            <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="leg2.scheduledArrival" style="query" type="xs:string"/>
                        </representation>
                    </request>
                    <response>
                        <representation mediaType="text/html"/>
                    </response>
                </method>
            </resource>
            <resource path="/{recordSerialNumber}">
                <param xmlns:xs="http://www.w3.org/2001/XMLSchema" name="recordSerialNumber" style="template" type="xs:long"/>
                <method id="detailedMctView" name="GET">
                    <response>
                        <representation mediaType="text/html"/>
                    </response>
                </method>
            </resource>
        </resource>
    </resources>
</application>
